Name:          acme.sh
Version:       3.1.1
Release:       %autorelease
Summary:       Pure Unix shell script implementing ACME client protocol 

# deploy/ruckus.sh Public Domain
License:       GPL-3.0 AND LicenseRef-Fedora-Public-Domain
URL:           https://github.com/acmesh-official/acme.sh
Source0:       %{url}/archive/refs/tags/%{version}.tar.gz
Source1:       acmesh-renew.service
Source2:       acmesh-renew.timer

BuildArch:     noarch

Requires:      (wget or curl)
BuildRequires: help2man
BuildRequires: systemd-rpm-macros

%description
A pure Unix shell script implementing ACME client protocol.

- An ACME protocol client written purely in Shell (Unix shell) language.
- Full ACME protocol implementation.
- Support ECDSA certs
- Support SAN and wildcard certs
- Simple, powerful and very easy to use. You only need 3 minutes to learn it.
- Bash, dash and sh compatible.
- Purely written in Shell with no dependencies on python.
- Just one script to issue, renew and install your certificates automatically.
- DOES NOT require root/sudoer access.
- Docker ready
- IPv6 ready
- Cron job notifications for renewal or error etc.

%prep
%autosetup -n %{name}-%{version} -p1
mv ./deploy/README.md README-deploy.md
mv ./dnsapi/README.md README-dnsapi.md

%build
/usr/bin/help2man --name=acme.sh --version-string=%{version} ./acme.sh > %{name}.1

%install
mkdir -p %{buildroot}%{_datadir}/%{name}
mkdir -p %{buildroot}%{_datadir}/%{name}/{deploy,dnsapi,notify}
install -m 0755 -vd %{buildroot}%{_bindir}
install -m 0755 -vp %{name} %{buildroot}%{_datadir}/%{name}/%{name}
install -m 0755 -vp deploy/* %{buildroot}%{_datadir}/%{name}/deploy/
install -m 0755 -vp dnsapi/* %{buildroot}%{_datadir}/%{name}/dnsapi/
install -m 0755 -vp notify/* %{buildroot}%{_datadir}/%{name}/notify/
ln -svf %{_datadir}/%{name}/%{name} %{buildroot}%{_bindir}/%{name}
install -m 0644 -vDp %{name}*.1 -t %{buildroot}%{_mandir}/man1/
install -m 0644 -vDp %{SOURCE1} %{buildroot}%{_unitdir}/acmesh-renew.service
install -m 0644 -vDp %{SOURCE2} %{buildroot}%{_unitdir}/acmesh-renew.timer

%post
# Remind users to start acmesh-renew.timer if they need certbot to automatically renew certs
if [ "$1" -eq 1 ] ; then
  echo ""
  echo "acme.sh auto renewal timer is not started by default."
  echo "Run 'systemctl start acmesh-renew.timer' to enable automatic renewals."
fi

%preun
%systemd_preun certbot-renew.timer

%postun
%systemd_postun certbot-renew.timer

%files
%doc README.md README-deploy.md README-dnsapi.md
%license LICENSE.md
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_mandir}/man1/%{name}.1.gz
%{_unitdir}/acmesh-renew.service
%{_unitdir}/acmesh-renew.timer

%changelog
%autochangelog
